ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Linker.Config

Description

Linker configuration

Synopsis

- data FrameworkOpts = FrameworkOpts {
  - foFrameworkPaths :: [String]
  - foCmdlineFrameworks :: [String]
  }
- data LinkerConfig = LinkerConfig {
  - linkerProgram :: String
  - linkerOptionsPre :: [Option]
  - linkerOptionsPost :: [Option]
  - linkerTempDir :: TempDir
  - linkerFilter :: String -> String
  }

# Documentation

data FrameworkOpts #

Constructors

FrameworkOpts |

Fields

- foFrameworkPaths :: [String]
- foCmdlineFrameworks :: [String]

data LinkerConfig #

External linker configuration

Constructors

LinkerConfig |

Fields

- linkerProgram :: String

  Linker program

- linkerOptionsPre :: [Option]

  Linker options (before user options)

- linkerOptionsPost :: [Option]

  Linker options (after user options)

- linkerTempDir :: TempDir

  Temporary directory to use

- linkerFilter :: String -> String

  Output filter